package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "货品图片" , name = "ApiJcBillGoodsPhoto")
public class ApiJcBillGoodsPhoto {

	@Schema(description = "明细序号", required = false, hidden = true, example = "2")
	private Long id;
	
	@Schema(description = "状态", required = false, pattern = "人工朔源驳回：-2，系统朔源验证未通过（无结果）：-1，系统溯源未验证：0，系统朔源验证通过：1，人工朔源待确认：2，人工朔源已确认：3", example = "2")
	private int status;
	
	@Schema(description = "货品编号", required = false, example = "B20181118-001")
	private String goodsid;
	
	@Schema(description = "物流码", required = false, example = "HTTPS://M.DIAOYUTAIJI")
	private String logisticsid;
	
	@Schema(description = "驳回原因", required = true, example = "")
	private String reason;
	
	@Schema(description = "货品图片", required = false,  pattern = "这是个JSON数组，不是JSONArray对象", example = "[\"44444\",\"aaaaa\"]")
	private List<String> goodsPhotos;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public String getLogisticsid() {
		return logisticsid;
	}

	public void setLogisticsid(String logisticsid) {
		this.logisticsid = logisticsid;
	}

	public String getGoodsid() {
		return goodsid;
	}

	public void setGoodsid(String goodsid) {
		this.goodsid = goodsid;
	}

	public List<String> getGoodsPhotos() {
		return goodsPhotos;
	}

	public void setGoodsPhotos(List<String> goodsPhotos) {
		this.goodsPhotos = goodsPhotos;
	}
}
